Update a webhook endpoint
curl --request PATCH \
--url https://api.pulsewave.dev/v1/webhook-endpoints/{webhook_endpoint_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"url": "<string>",
"enabled_events": []
}
'import requests
url = "https://api.pulsewave.dev/v1/webhook-endpoints/{webhook_endpoint_id}"
payload = {
"url": "<string>",
"enabled_events": []
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({url: '<string>', enabled_events: []})
};
fetch('https://api.pulsewave.dev/v1/webhook-endpoints/{webhook_endpoint_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "we_9k2m5p",
"object": "webhook_endpoint",
"url": "<string>",
"enabled_events": [
"message.sent"
],
"status": "enabled",
"created_at": "2023-11-07T05:31:56Z"
}{
"error": {
"type": "invalid_request",
"code": "missing_required_field",
"message": "The 'to' field is required for channel 'email'",
"param": "to"
}
}{
"error": {
"type": "invalid_request",
"code": "missing_required_field",
"message": "The 'to' field is required for channel 'email'",
"param": "to"
}
}Webhook endpoints
Update a webhook endpoint
PATCH
/
webhook-endpoints
/
{webhook_endpoint_id}
Update a webhook endpoint
Authorizations
All requests must include Authorization: Bearer <api_key>. Keys are prefixed pw_live_ or pw_test_. See Authentication.
Path Parameters
Example:
"we_9k2m5p"
Body
application/json
Response
The updated webhook endpoint
Example:
"we_9k2m5p"
Available options:
webhook_endpoint Available options:
message.sent, message.delivered, message.bounced, message.opened, message.clicked, message.complained, contact.unsubscribed, domain.verified Available options:
enabled, disabled